Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.girostack.com/llms.txt

Use this file to discover all available pages before exploring further.

POST {{baseurl}}/bank-accounts
   https://gw.stg.girostack.com/v1

Headers

x-giro-key
string
required
Pass your account’s secret key as the value.

Body Params

accountName
string
required
accountNumber
string
required
bankName
string
required
bankCode
string
required
beneficiaryType
string
When provided value should be vba, external or personal. Default is personal.
curl --location --request POST '{{API_BASE_URL}}/bank-accounts' \
--header 'x-giro-key: {{SECRET_KEY}}' \
--header 'Content-Type: application/json' \
--data '{
    "accountNumber": "0018730826",
    "accountName": "Salako Emmanuel",
    "bankName": "Guaranty Trust Bank",
    "bankCode": "058"
}'
{
  "meta": {
    "statusCode": 201,
    "success": true,
    "message": "BankAccount successfully created"
  },
  "data": {
    "auth": "65b12bbf512f9932b67f53d7",
    "account": "65b12bbf36e38c6bfbe35f95",
    "accountName": "Salako Emmanuel",
    "accountNumber": "0018730826",
    "bankName": "Guaranty Trust Bank",
    "bankCode": "058",
    "reference": "9999992409440854616574301713288",
    "live": true,
    "processor": "source",
    "publicId": "bka-a709ebef-da69-4570-b1ac-48031u4hd408c",
    "id": 3,
    "createdAt": "2024-09-13T07:56:16.775Z",
    "updatedAt": "2024-09-13T07:56:16.775Z",
    "currency": "NGN",
    "lastUpdated": "2024-09-13T07:56:16.775Z",
    "version": 1,
    "beneficiaryType": "personal",
    "clientIds": {}
  }
}